org.apache.coyote.http11

## Class InternalOutputBuffer.OutputStreamOutputBuffer

- java.lang.Object
- - org.apache.coyote.http11.InternalOutputBuffer.OutputStreamOutputBuffer

- All Implemented Interfaces:
    OutputBuffer
  Enclosing class:
    InternalOutputBuffer

      protected class InternalOutputBuffer.OutputStreamOutputBuffer
      extends Object
      implements OutputBuffer

  This class is an output buffer which will write data to an output stream.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InternalOutputBuffer.OutputStreamOutputBuffer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doWrite(ByteChunk chunk, Response res)` Write chunk.
    `long` | `getBytesWritten()` Bytes written to the underlying socket.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalOutputBuffer.OutputStreamOutputBuffer

          protected InternalOutputBuffer.OutputStreamOutputBuffer()

  - ### Method Detail

    - #### doWrite

          public int doWrite(ByteChunk chunk,
                    Response res)
                      throws IOException

      Write chunk.
      Specified by:
        `doWrite` in interface `OutputBuffer`
      Parameters:
        `chunk` - data to write
        `res` - used to allow buffers that can be shared by multiple responses.
      Throws:
        `IOException`

    - #### getBytesWritten

          public long getBytesWritten()

      Description copied from interface: `OutputBuffer`
      Bytes written to the underlying socket. This includes the effects of chunking, compression, etc.
      Specified by:
        `getBytesWritten` in interface `OutputBuffer`
      Returns:
        Bytes written for the current request

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.